

/*
		concen.h
      
      Stuff for reading and processing concentricity file info.

*/


#define MAX_SLITVARS_WE_COULD_EVER_NEED 150

/* from concenIO.c */

#define CABLE_ALPHA   'A'
#define CABLE_NUMERIC 'N'

extern char CurrentCable;

extern FILE *eccenOpen( char *fileName );
extern void eccenLoad( FILE *theArchive, fibDB theDbase[] );

extern char getCableIdentifier( char *targetCable );
extern char *getNameForCable( char targetCable );

extern char *getCableList( void );

extern int cableIsValid( char targetCable );
extern int cableIsAlphaLabeled( char targetCable );

extern int getMaxSlitInCable( char cable );


/* from concen.c */

extern int EccenFlag;

extern void eccenCalcVec( fibDB *pFib, point *target, point *vector );
